CREATE TABLE TBL_BOOKMARK(
    BMK_ID                     INTEGER  NOT NULL PRIMARY KEY,
    BMK_TITLE                  VARCHAR (100)  ,
    BMK_DESCRIPTION            TEXT  ,
    BMK_INSERT_DATE            BIGINT  ,
    BMK_TYPE                   VARCHAR (20) NOT NULL ,
    BMK_PATH                   VARCHAR (200)  ,
    BMK_CHAPTER                INTEGER  ,

    CON_ID                     INTEGER NOT NULL ,

--     added in v15 (epub)
    BMK_VISIBLE                TEXT DEFAULT "1", --default true
    BMK_HIGHLIGHT              TEXT DEFAULT "0", --default false
    BMK_START_PARAG_INDEX      INTEGER,
    BMK_START_ELEMENT_INDEX    INTEGER,
    BMK_START_CHAR_INDEX       INTEGER,
    BMK_END_PARAG_INDEX        INTEGER,
    BMK_END_ELEMENT_INDEX      INTEGER,
    BMK_END_CHAR_INDEX         INTEGER,
    BMK_MODEL_ID               TEXT,

    FOREIGN KEY (CON_ID) REFERENCES TBL_CONTENT (CON_ID)  ON DELETE CASCADE
);